CREATE TABLE application_train (
        "SK_ID_CURR" DECIMAL NOT NULL,
        "TARGET" BOOLEAN NOT NULL,
        "NAME_CONTRACT_TYPE" VARCHAR NOT NULL,
        "CODE_GENDER" VARCHAR NOT NULL,
        "FLAG_OWN_CAR" BOOLEAN NOT NULL,
        "FLAG_OWN_REALTY" BOOLEAN NOT NULL,
        "CNT_CHILDREN" DECIMAL NOT NULL,
        "AMT_INCOME_TOTAL" DECIMAL NOT NULL,
        "AMT_CREDIT" DECIMAL NOT NULL,
        "AMT_ANNUITY" DECIMAL,
        "AMT_GOODS_PRICE" DECIMAL,
        "NAME_TYPE_SUITE" VARCHAR,
        "NAME_INCOME_TYPE" VARCHAR NOT NULL,
        "NAME_EDUCATION_TYPE" VARCHAR NOT NULL,
        "NAME_FAMILY_STATUS" VARCHAR NOT NULL,
        "NAME_HOUSING_TYPE" VARCHAR NOT NULL,
        "REGION_POPULATION_RELATIVE" DECIMAL NOT NULL,
        "DAYS_BIRTH" DECIMAL NOT NULL,
        "DAYS_EMPLOYED" DECIMAL NOT NULL,
        "DAYS_REGISTRATION" DECIMAL NOT NULL,
        "DAYS_ID_PUBLISH" DECIMAL NOT NULL,
        "OWN_CAR_AGE" DECIMAL,
        "FLAG_MOBIL" BOOLEAN NOT NULL,
        "FLAG_EMP_PHONE" BOOLEAN NOT NULL,
        "FLAG_WORK_PHONE" BOOLEAN NOT NULL,
        "FLAG_CONT_MOBILE" BOOLEAN NOT NULL,
        "FLAG_PHONE" BOOLEAN NOT NULL,
        "FLAG_EMAIL" BOOLEAN NOT NULL,
        "OCCUPATION_TYPE" VARCHAR,
        "CNT_FAM_MEMBERS" DECIMAL,
        "REGION_RATING_CLIENT" DECIMAL NOT NULL,
        "REGION_RATING_CLIENT_W_CITY" DECIMAL NOT NULL,
        "WEEKDAY_APPR_PROCESS_START" VARCHAR NOT NULL,
        "HOUR_APPR_PROCESS_START" DECIMAL NOT NULL,
        "REG_REGION_NOT_LIVE_REGION" BOOLEAN NOT NULL,
        "REG_REGION_NOT_WORK_REGION" BOOLEAN NOT NULL,
        "LIVE_REGION_NOT_WORK_REGION" BOOLEAN NOT NULL,
        "REG_CITY_NOT_LIVE_CITY" BOOLEAN NOT NULL,
        "REG_CITY_NOT_WORK_CITY" BOOLEAN NOT NULL,
        "LIVE_CITY_NOT_WORK_CITY" BOOLEAN NOT NULL,
        "ORGANIZATION_TYPE" VARCHAR NOT NULL,
        "EXT_SOURCE_1" DECIMAL,
        "EXT_SOURCE_2" DECIMAL,
        "EXT_SOURCE_3" DECIMAL,
        "APARTMENTS_AVG" DECIMAL,
        "BASEMENTAREA_AVG" DECIMAL,
        "YEARS_BEGINEXPLUATATION_AVG" DECIMAL,
        "YEARS_BUILD_AVG" DECIMAL,
        "COMMONAREA_AVG" DECIMAL,
        "ELEVATORS_AVG" DECIMAL,
        "ENTRANCES_AVG" DECIMAL,
        "FLOORSMAX_AVG" DECIMAL,
        "FLOORSMIN_AVG" DECIMAL,
        "LANDAREA_AVG" DECIMAL,
        "LIVINGAPARTMENTS_AVG" DECIMAL,
        "LIVINGAREA_AVG" DECIMAL,
        "NONLIVINGAPARTMENTS_AVG" DECIMAL,
        "NONLIVINGAREA_AVG" DECIMAL,
        "APARTMENTS_MODE" DECIMAL,
        "BASEMENTAREA_MODE" DECIMAL,
        "YEARS_BEGINEXPLUATATION_MODE" DECIMAL,
        "YEARS_BUILD_MODE" DECIMAL,
        "COMMONAREA_MODE" DECIMAL,
        "ELEVATORS_MODE" DECIMAL,
        "ENTRANCES_MODE" DECIMAL,
        "FLOORSMAX_MODE" DECIMAL,
        "FLOORSMIN_MODE" DECIMAL,
        "LANDAREA_MODE" DECIMAL,
        "LIVINGAPARTMENTS_MODE" DECIMAL,
        "LIVINGAREA_MODE" DECIMAL,
        "NONLIVINGAPARTMENTS_MODE" DECIMAL,
        "NONLIVINGAREA_MODE" DECIMAL,
        "APARTMENTS_MEDI" DECIMAL,
        "BASEMENTAREA_MEDI" DECIMAL,
        "YEARS_BEGINEXPLUATATION_MEDI" DECIMAL,
        "YEARS_BUILD_MEDI" DECIMAL,
        "COMMONAREA_MEDI" DECIMAL,
        "ELEVATORS_MEDI" DECIMAL,
        "ENTRANCES_MEDI" DECIMAL,
        "FLOORSMAX_MEDI" DECIMAL,
        "FLOORSMIN_MEDI" DECIMAL,
        "LANDAREA_MEDI" DECIMAL,
        "LIVINGAPARTMENTS_MEDI" DECIMAL,
        "LIVINGAREA_MEDI" DECIMAL,
        "NONLIVINGAPARTMENTS_MEDI" DECIMAL,
        "NONLIVINGAREA_MEDI" DECIMAL,
        "FONDKAPREMONT_MODE" VARCHAR,
        "HOUSETYPE_MODE" VARCHAR,
        "TOTALAREA_MODE" DECIMAL,
        "WALLSMATERIAL_MODE" VARCHAR,
        "EMERGENCYSTATE_MODE" BOOLEAN,
        "OBS_30_CNT_SOCIAL_CIRCLE" DECIMAL,
        "DEF_30_CNT_SOCIAL_CIRCLE" DECIMAL,
        "OBS_60_CNT_SOCIAL_CIRCLE" DECIMAL,
        "DEF_60_CNT_SOCIAL_CIRCLE" DECIMAL,
        "DAYS_LAST_PHONE_CHANGE" DECIMAL,
        "FLAG_DOCUMENT_2" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_3" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_4" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_5" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_6" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_7" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_8" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_9" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_10" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_11" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_12" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_13" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_14" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_15" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_16" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_17" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_18" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_19" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_20" BOOLEAN NOT NULL,
        "FLAG_DOCUMENT_21" BOOLEAN NOT NULL,
        "AMT_REQ_CREDIT_BUREAU_HOUR" DECIMAL,
        "AMT_REQ_CREDIT_BUREAU_DAY" DECIMAL,
        "AMT_REQ_CREDIT_BUREAU_WEEK" DECIMAL,
        "AMT_REQ_CREDIT_BUREAU_MON" DECIMAL,
        "AMT_REQ_CREDIT_BUREAU_QRT" DECIMAL,
        "AMT_REQ_CREDIT_BUREAU_YEAR" DECIMAL
);